# 54. Užklausa: gauti vektorinius duomenis iš „DirvožemioDuomenųRinkinio“

Užklausa gauti originalius duomenis iš „SoilDataset“ kaip GeoJSON su atributais ir geometrijomis (kaip taškai/multi-taškai/poligonai/multi-poligonai, priklausomai nuo įkeltos geometrijos tipo).

{% code overflow="wrap" lineNumbers="true" %}

```graphql
užklausa ReadSoilDatasetSource{
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]) {
      soilDatasets(soilDatasetUuids: ["<placeholder_of_soildataset_uuid>"]) {
        vectorDataGeojson
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/54.-uzklausa-gauti-vektorinius-duomenis-is-dirvozemioduomenurinkinio.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
